Skip to main content
GET
/
v1
/
users
/
themes
/
{id}
Get a specific theme
curl --request GET \
  --url https://api.yalg.ai/v1/users/themes/{id} \
  --header 'x-api-key: <api-key>'
{
  "id": "018f9f46-9a0e-7afd-b13f-2f63f07aa4f2",
  "name": "Founder voice",
  "description": "Direct, practical, and story-led.",
  "isDefault": false,
  "config": {
    "tone": "direct",
    "pacing": "concise"
  },
  "createdAt": "2026-06-20T17:24:39.000Z",
  "updatedAt": "2026-06-20T17:24:39.000Z"
}

Authorizations

x-api-key
string
header
default:yalg_live_your_api_key
required

YALG Developer API key. Send it in the x-api-key header from a server-side environment only.

Path Parameters

id
string
required

UUID of the theme

Example:

"123e4567-e89b-12d3-a456-426614174000"

Response

Theme retrieved successfully

Reusable YALG writing style theme.

id
string<uuid>

Theme identifier.

Example:

"018f9f40-7d7b-7712-9b0f-2e5d9fd5df3f"

name
string
Example:

"Founder voice"

description
string
Example:

"Opinionated and direct"

isDefault
boolean
Example:

false

config
object
createdAt
string<date-time>
Example:

"2026-06-20T17:24:39.000Z"

updatedAt
string<date-time>
Example:

"2026-06-20T17:24:39.000Z"